# DefaultPHPCPDResultFormatter

Extends \PHPCPDResultFormatter

Prints plain text output of phpcpd run

package | phing.tasks.ext.phpcpd.formatter
author | Benjamin Schultz bschultz@proqrent.de
version | $Id: 20db9b04d2f5ea6acc7db0f00d83daa6b8580cec $

### Methods

## Processes a list of clones.

    processClones(object $clones, \Project $project, boolean $useFile = false, \PhingFile|null $outFile = null)

inherited abstract

### Arguments

#### $clones

`object`

#### $project

`\Project`

#### $useFile

`boolean`

#### $outFile

`\PhingFile|null`

## Wrapper for PHPCPD 2.0

    processClonesNew(\CodeCloneMap $clones, boolean $useFile = false, \PhingFile|null $outFile = null)

### Arguments

#### $clones

`\CodeCloneMap`

#### $useFile

`boolean`

#### $outFile

`\PhingFile|null`